Altostrat Studio is here — the AI-native network operations IDE for engineers running production. Terminal, diagrams, runbooks, and Copilot in one workspace. Get started →
curl --request POST \
--url https://v1.api.altostrat.io/workflows/webhooks/{webhookToken} \
--header 'Content-Type: application/json' \
--data '
{
"event_type": "user.created",
"data": {
"id": "user_abc123",
"email": "new.user@example.com"
}
}
'A public endpoint to trigger a workflow that has a webhook_trigger. Authentication is handled by the unique, secret token in the URL path. The entire request body will be available in the workflow’s context.
curl --request POST \
--url https://v1.api.altostrat.io/workflows/webhooks/{webhookToken} \
--header 'Content-Type: application/json' \
--data '
{
"event_type": "user.created",
"data": {
"id": "user_abc123",
"email": "new.user@example.com"
}
}
'Documentation Index
Fetch the complete documentation index at: https://altostrat.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
The unique, secret token for the webhook-enabled workflow.
The JSON payload for the webhook. This will be available to the workflow under webhook_payload.
The body is of type object.
Accepted. The webhook has been received and the workflow execution has been queued.
Was this page helpful?